%define piname	dashboardsk
%define uname	dashboardsk_pi
%define majname DashboardSK

%define _disable_ld_no_undefined 1

Name:		opencpn-dashboardsk-plugin
Summary:	Data display based on the SignalK data model
Version:	0.1.3
Release:	%mkrel 7
License:	GPLv3+
Group:		Geography
URL:		https://opencpn.org/OpenCPN/plugins/dashboradsk.html
Source0:	https://github.com/nohal/%{uname}/archive/v%{version}/%{uname}-%{version}.tar.gz
##git clone https://github.com/leamas/opencpn-libs.git
Source1:    opencpn-libs.tar.gz
Patch0:     dashboardsk_pi-0.1.3-GetArch.patch

BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	wxgtku3.2-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:  doxygen


Requires:	opencpn
Provides:	%{piname} = %{version}

%description
This plugin provides universal data display based on the SignalK data model.
The data is displayed using configurable overlay instruments anchored to any
edge of chart canvas. The instruments may also be configured to trigger alarms
based on the values they process.

%prep
%autosetup -a1 -p1 -n %{uname}-%{version}

%build
%cmake
%cmake_build

%install
mkdir -p %{buildroot}%{_libdir}/opencpn
mkdir -p %{buildroot}%{_datadir}/opencpn/plugins/%{majname}_pi/data

install -Dpm755 %{_vpath_builddir}/lib%{majname}_pi.so %{buildroot}%{_libdir}/opencpn/
install -Dpm644 data/* %{buildroot}%{_datadir}/opencpn/plugins/%{majname}_pi/data/

%files
%doc LICENSE LICENSING README.md
%{_libdir}/opencpn/lib%{majname}_pi.so
%{_datadir}/opencpn/plugins/%{majname}_pi/data/


%changelog
* Fri May 26 2023 philippedidier <philippedidier> 0.1.3-7.mga9
+ Revision: 1958372
- correct the patch name to prevent error with other plugin name
+ wally <wally>
- build using cmake rpm macros and simplify %%install
- build debug pkgs

* Thu May 25 2023 philippedidier <philippedidier> 0.1.3-6.mga9
+ Revision: 1957929
- add a patch to build on aarch64 - hope it works
- last try to create this ugly spec file
- at last really correct this ugly spec file
- really correct the spec file
- correct the spec file
- imported package opencpn-dashboardsk-plugin

